Contributors tmtmtmtm

Last run completed successfully .

Console output of last run

Injecting configuration and compiling...  -----> Ruby app detected -----> Compiling Ruby -----> Using Ruby version: ruby-2.4.4 -----> Installing dependencies using bundler 1.15.2  Running: bundle install --without development:test --path vendor/bundle --binstubs vendor/bundle/bin -j4 --deployment  Warning: the running version of Bundler (1.15.2) is older than the version that created the lockfile (1.16.5). We suggest you upgrade to the latest version of Bundler by running `gem install bundler`.  Fetching gem metadata from https://rubygems.org/.........  Fetching version metadata from https://rubygems.org/..  Fetching dependency metadata from https://rubygems.org/.  Fetching https://github.com/everypolitician/combine_popolo_memberships.git  Fetching https://github.com/everypolitician/scraped.git  Fetching https://github.com/everypolitician/scraped_page_archive.git  Fetching https://github.com/everypolitician/scraper_test.git  Fetching https://github.com/openaustralia/scraperwiki-ruby.git  Fetching https://github.com/everypolitician/table_unspanner.git  Fetching https://github.com/everypolitician/wikidata-fetcher.git  Fetching https://github.com/everypolitician/wikidata_ids_decorator.git  Fetching rake 12.3.2  Fetching public_suffix 3.0.3  Fetching ast 2.4.0  Installing ast 2.4.0  Installing public_suffix 3.0.3  Installing rake 12.3.2  Using bundler 1.15.2  Fetching coderay 1.1.2  Using combine_popolo_memberships 0.2.0 from https://github.com/everypolitician/combine_popolo_memberships.git (at master@5769841)  Fetching safe_yaml 1.0.4  Installing coderay 1.1.2  Fetching unf_ext 0.0.7.5  Installing safe_yaml 1.0.4  Fetching excon 0.62.0  Fetching execjs 2.7.0  Installing unf_ext 0.0.7.5 with native extensions  Installing execjs 2.7.0  Installing excon 0.62.0  Fetching multipart-post 2.0.0  Installing multipart-post 2.0.0  Fetching field_serializer 0.3.0  Installing field_serializer 0.3.0  Fetching git 1.3.0  Installing git 1.3.0  Fetching hashdiff 0.3.8  Installing hashdiff 0.3.8  Fetching hashie 3.6.0  Fetching httpclient 2.8.3  Installing hashie 3.6.0  Fetching jaro_winkler 1.5.2  Installing httpclient 2.8.3  Installing jaro_winkler 1.5.2 with native extensions  Fetching json 2.1.0  Installing json 2.1.0 with native extensions  Fetching method_source 0.9.2  Installing method_source 0.9.2  Fetching mime-types-data 3.2018.0812  Installing mime-types-data 3.2018.0812  Fetching mini_portile2 2.4.0  Installing mini_portile2 2.4.0  Fetching minitest 5.11.3  Installing minitest 5.11.3  Fetching vcr 3.0.3  Installing vcr 3.0.3  Fetching netrc 0.11.0  Installing netrc 0.11.0  Fetching open-uri-cached 0.0.5  Installing open-uri-cached 0.0.5  Fetching parallel 1.13.0  Installing parallel 1.13.0  Fetching powerpack 0.1.2  Installing powerpack 0.1.2  Fetching rainbow 3.0.0  Installing rainbow 3.0.0  Fetching require_all 2.0.0  Installing require_all 2.0.0  Fetching ruby-progressbar 1.10.0  Installing ruby-progressbar 1.10.0  Fetching unicode-display_width 1.4.1  Fetching sqlite3 1.4.0  Installing unicode-display_width 1.4.1  Fetching yajl-ruby 1.4.1  Installing sqlite3 1.4.0 with native extensions  Installing yajl-ruby 1.4.1 with native extensions  Fetching parser 2.6.0.0  Installing parser 2.6.0.0  Fetching addressable 2.6.0  Installing addressable 2.6.0  Fetching crack 0.4.3  Installing crack 0.4.3  Fetching faraday 0.15.4  Installing faraday 0.15.4  Fetching unf 0.1.4  Installing unf 0.1.4  Fetching pry 0.12.2  Installing pry 0.12.2  Fetching mime-types 3.2.2  Installing mime-types 3.2.2  Fetching nokogiri 1.10.1  Installing nokogiri 1.10.1 with native extensions  Fetching minispec-metadata 2.0.0  Installing minispec-metadata 2.0.0  Fetching minitest-around 0.5.0  Installing minitest-around 0.5.0  Fetching sqlite_magic 0.0.6  Installing sqlite_magic 0.0.6  Fetching rubocop 0.63.1  Installing rubocop 0.63.1  Fetching webmock 2.0.3  Installing webmock 2.0.3  Fetching faraday_middleware 0.13.1  Installing faraday_middleware 0.13.1  Fetching domain_name 0.5.20180417  Installing domain_name 0.5.20180417  Fetching wikisnakker 0.9.1  Installing wikisnakker 0.9.1  Fetching minitest-vcr 1.4.0  Installing minitest-vcr 1.4.0  Using scraperwiki 3.0.1 from https://github.com/openaustralia/scraperwiki-ruby.git (at morph_defaults@fc50176)  Fetching vcr-archive 0.3.0  Using scraper_test 0.1.0 from https://github.com/everypolitician/scraper_test.git (at master@9b4326c)  Installing vcr-archive 0.3.0  Fetching wikidata-client 0.0.12  Installing wikidata-client 0.0.12  Fetching http-cookie 1.0.3  Installing http-cookie 1.0.3  Using scraped_page_archive 0.5.0 from https://github.com/everypolitician/scraped_page_archive.git (at master@a998412)  Fetching faraday-cookie_jar 0.0.6  Fetching rest-client 2.0.2  Using scraped 0.6.2 from https://github.com/everypolitician/scraped.git (at scraper-class@ecb23ad)  Using table_unspanner 0.1.0 from https://github.com/everypolitician/table_unspanner.git (at master@a70a98a)  Installing faraday-cookie_jar 0.0.6  Installing rest-client 2.0.2  Fetching mediawiki_api 0.7.1  Installing mediawiki_api 0.7.1  Using wikidata-fetcher 0.24.0 from https://github.com/everypolitician/wikidata-fetcher.git (at master@c4c6f01)  Using wikidata_ids_decorator 0.2.0 from https://github.com/everypolitician/wikidata_ids_decorator.git (at master@17265d4)  Bundle complete! 20 Gemfile dependencies, 63 gems now installed.  Gems in the groups development and test were not installed.  Bundled gems are installed into ./vendor/bundle.  Post-install message from webmock:  WebMock 2.0 has some breaking changes. Please check the CHANGELOG: https://goo.gl/piDGLu  Bundle completed (42.07s)  Cleaning up the bundler cache.  Warning: the running version of Bundler (1.15.2) is older than the version that created the lockfile (1.16.5). We suggest you upgrade to the latest version of Bundler by running `gem install bundler`. -----> Installing node-v6.11.1-linux-x64 -----> Detecting rake tasks   -----> Discovering process types  Procfile declares types -> scraper Injecting scraper and running... Can't find Wikidata IDs for: Dewan Rakyat as of 15 March 2019, Lahad Datu (federal constituency) in en

Data

Downloaded 2561 times by everypolitician

To download data sign in with GitHub

Download table (as CSV) Download SQLite database (121 KB) Use the API

rows 10 / 681

name id coalition coalition_id area area_number area_id start_date end_date term
Azmi Khalid
Q4832792
BN
Q808210
Padang Besar
P001
Q24576276
12
Mohd Radzi Sheikh Ahmad
Q6894027
BN
Q808210
Kangar
P002
Q24576274
12
Ismail Kassim
Q6084762
BN
Q808210
Arau
P003
Q24576282
12
Abu Bakar Taib
Q4670089
BN
Q808210
Langkawi
P004
Q25241028
12
Mukhriz Mahathir
Q6933490
BN
Q808210
Jerlun
P005
Q25241029
12
Mohd Johari Baharum
Q6893973
BN
Q808210
Kubang Pasu
P006
Q25241027
12
Mohd Nasir Zakaria
Q6893994
PR
Padang Terap
P007
Q25241119
12
Mahfuz Omar
Q6733935
PR
Pokok Sena
P008
Q25241118
12
Chor Chee Heung
Q5104923
BN
Q808210
Alor Star
P009
Q25241122
12
Ahmad Kassim
Q4695390
PR
Kuala Kedah
P010
Q25241022
12

Statistics

Average successful run time: 1 minute

Total run time: about 11 hours

Total cpu time used: 31 minutes

Total disk space used: 163 KB

History

  • Auto ran revision d43ec7ce and completed successfully .
    nothing changed in the database
  • Auto ran revision d43ec7ce and completed successfully .
    nothing changed in the database
  • Auto ran revision d43ec7ce and completed successfully .
    nothing changed in the database
  • Auto ran revision d43ec7ce and completed successfully .
    1 record updated in the database
  • Auto ran revision d43ec7ce and completed successfully .
    nothing changed in the database
  • ...
  • Created on morph.io

Show complete history